# $Revision: 1.32 $, $Date: 2004/05/06 18:20:58 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
Summary:	Rcs perl module
Summary(pl):	Modu perla Rcs
Name:		perl-Rcs
Version:	1.05
Release:	1
# same as perl
License:	GPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Rcs/Rcs-%{version}.tar.gz
# Source0-md5:	f3466fe6cef54f8780d753fa0995b0ac
Patch0:		%{name}-paths.patch
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Rcs - provides an object oriented interface to access Revision Control
System (RCS) utilities.

%description -l pl
Rcs - umoliwia dostp do narzdzi Systemu Kontroli Rewizji (RCS).

%prep
%setup -q -n Rcs-%{version}
%patch -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
cp -ar examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README ANNOUNCE
%{perl_vendorlib}/Rcs.pm
%{_mandir}/man3/*
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Rcs.spec,v $
Revision 1.32  2004/05/06 18:20:58  ankry
- fixed perl-devel BR

Revision 1.31  2004/04/29 21:30:08  ankry
- tests added, license fixed

Revision 1.30  2004/02/16 22:12:02  adamg
- updated to 1.05

Revision 1.29  2003/09/09 10:24:47  ankry
- spaces -> tab

Revision 1.28  2003/08/18 08:09:10  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.27  2003/05/28 13:00:59  malekith
- massive attack: source-md5

Revision 1.26  2003/05/25 06:24:55  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.25  2003/04/11 18:59:26  radek
- BR: perl-devel; do not BR: perl

Revision 1.24  2003/03/01 20:45:53  radek
- should be ready for perl-5.8.0; release++

Revision 1.23  2003/02/25 00:41:46  radek
- use the __perl macro

Revision 1.22  2003/02/18 15:37:54  ankry
- massive attack: change CPAN URLs

Revision 1.21  2002/07/12 09:49:56  qboosh
- new %%doc and cosmetics

Revision 1.20  2002/07/11 08:03:15  depesz
- new version; should work; STBR

Revision 1.19  2002/05/11 14:28:12  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.18  2002/03/03 20:37:42  marcus
- rel.3.

Revision 1.17  2002/02/22 23:29:32  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.16  2002/02/10 15:32:57  depesz
adapterized

Revision 1.15  2002/01/18 02:14:25  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.14  2001/11/28 15:20:22  mis
- buildarch noarch; release++

Revision 1.13  2001/11/27 16:46:45  mis
- autoupdated to 1.03

Revision 1.12  2001/10/10 15:23:47  mis
- autoupdated to 1.01

Revision 1.11  2001/04/17 12:14:55  baggins
- release 5
- rebuild with perl 5.6.1

Revision 1.10  2001/04/14 18:00:09  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.9  2001/01/23 16:08:05  kloczek
- typo.

Revision 1.8  2001/01/23 15:48:44  kloczek
- release 4: rebuild against perl 5.6 and use rpm automation.

Revision 1.7  2000/06/09 07:54:56  kloczek
- more %%{__make} macros.

Revision 1.6  2000/06/09 07:23:41  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/21 20:20:01  kloczek
- spec adapterized.

Revision 1.4  2000/04/01 11:15:26  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:58  baggins
- translated kloczkish into english

Revision 1.2  1999/11/07 09:18:46  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/20 19:46:46  pius
- initial release
